---
title: "Weeknotes the Second: Month Notes"
date: 2025-03-02T21:39:00-08:00
tags:
  - AI
  - CI/CD
  - Gitea
  - Productivity
  - Weeknotes

---
Well [this]({{< ref "/posts/weeknotes-the-first" >}}) has already been an interesting experiment. Only one week in, and I already feel more motivated and focused to work on personal projects and the goals that I'd set. Some of that might just be the ephemeral "New System Energy" that is plentiful when you start a new organizational system or habit, but what the hey; even if it's fleeting, I'll gladly ride it as far as I can!
<!--more-->
# What I Did

Gitea Actions is [up-and-running]({{< ref "/posts/gitea-actions" >}}), and I learned a bit more about Helm and Docker along the way.

Last night I got inspired and whipped up a project that I'd been thinking about for months. Sadly it is clock-time-dependent so I can't really test and confirm that it works for another few days, but still - for someone who's had difficulty completing or remaining focused on personal projects, I can't tell you how good it feels to have actually gotten something from "_this doesn't exist_" to "_as far as it's possible to tell at this point, this works_" over the course of a few hours. That's a habit I'd like to keep cultivating!

On that topic - as I mentioned in the previous [weeknotes]({{< ref "/posts/weeknotes-the-first" >}}), I had intended to experiment with AIDE/AI Dev Tools over this week, and...holy shit. I am embarassed to admit just how confidently-wrong I was[^hypocrite] about their utility. I've only scratched the surface of Cursor - I'm sure there's oodles more functionality I'm not aware of, as well as better "prompt engineering" skill I can develop - and even so, the experience was _unsettlingly_  transformative.

Don't get me wrong - the ethical question of the morality of capitalizing a remixing of human creative output still remains, as do environmental concerns and the fact that this is another labour-hostile tool in the capitalist's arsenal. This is not an unalloyed good, by any stretch. But I can no longer in good conscience continue insisting that these tools are all hype and marketing. They _might_ not be capable of _all_ the wondrous feats that salespeople say, but they are _absolutely_ a tool that a thoughtful competent engineer can use to magnify their capability manyfold. We live in interesting times, for sure.

# What I'd Like To Do

* I mentioned in the title that this could arguably be "month-notes", as it's the start of a new month. I don't think I'm going to start keeping these notes on that scale, but it does give me a prompt to get back into my old GTD routine. What with one thing and another I've let it lapse in 2025, but the mark of a well-formed habit is one that you can restart when it lapses. A monthly review to figure out the higher-level projects I want to work towards, and to be mindful of the passage of time rather than [burning the days](https://paulgraham.com/vb.html), would be a good idea.
* Ported over from last week - getting Keycloak working again on my homelab
* "Closing the loop" on my backup systems and verification. As I've [mentioned before]({{< ref "/posts/backups-and-updates-and-dependencies-and-resiliency" >}}), I have [BackBlaze](https://www.backblaze.com/) ostensibly backing up my data (including the source code on my Gitea instance), but I have tested it exactly zero times. A good habit to bake into a Monthly Review!
* Honestly, I am excited to crank out some more coding tasks (as opposed to homelab maintainance and setup, which tends to be more configuration-wrangling and installation than _coding_) and see what these AI tools can do. I remember reading a comment from a fan a few months back saying that they had "_started running out of side project ideas to do because they were being completed so quickly_" - at the time I scoffed, but now, I can see it...
  * First and foremost, though, should be "productionalization" of the mystery unnamed project from the "What I Did" section, and a blog about it.

[^hypocrite]: I am comforted by remembering a quote from Brandon Sanderson's "Oathbringer": "_Sometimes a hypocrite is nothing more than a man in the process of changing._"